import 'package:json_annotation/json_annotation.dart';
import 'package:librus_api/librus_api_base.dart';
import 'package:librus_api/models/grade.dart';
import 'package:librus_api/models/resource.dart';

part 'subject.g.dart';

@JsonSerializable()
@reflector
class Subject extends Resource {
  static String get collection => "Subjects";

  static String get entry => "Subjects";
  int id;
  int no;
  String name;
  String short;
  bool isExtracurricular;
  bool isBlockLesson;
  List<Grade> grades = [];

  Subject() {}

  factory Subject.fromJson(Map<String, dynamic> json) =>
      _$SubjectFromJson(json);

  Map<String, dynamic> toJson() => _$SubjectToJson(this);
}
